LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XIndexReplace Interface Referencepublished

This is the generic interface for supporting the replacement of indexed elements. More...

`import "XIndexReplace.idl";`

Inheritance diagram for XIndexReplace:

## Public Member Functions
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This is the generic interface for supporting the replacement of indexed elements.

See also
  XContainer

## Member Function Documentation

## ◆ replaceByIndex()

void replaceByIndex | ( | [in] long | Index,
|  | [in] any | Element )
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::IndexOutOfBoundsException,
|  | com::sun::star::lang::WrappedTargetException ) |  |  |

replaces the element at the specified index with the given element.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XIndexReplace.idl